Hey, Nice browser!

It must be Navigator 4 or higher.